<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Trainer extends Model
{
    protected $guarded = [];

    public function user(){
        return $this->belongsTo(User::class, 'user_id');
    }

    public function course(){
        return $this->belongsTo(Course::class, 'course_id');
    }
    public function team_leader(){
        return $this->belongsTo(User::class, 'team_leader_id');
    }
}
